%define packname lmtest
%global packver 0.9
# Note that some R packages do not use packrel
%define packrel 37

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 3.el9.lc
Summary: Testing Linear Regression Models

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/lmtest/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: R-devel, tex(latex) R-zoo
Requires: R-core

%description
R package:
A collection of tests, data sets and examples for diagnostic checking in linear regression models.

%define debug_package %{nil}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -pr %{packname}/THANKS %{buildroot}%{_libdir}/R/library/%{packname}

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs

%changelog
* Thu May 1 2025 Stuart Raeburn <raeburn@loncapa.org> (0.9.37-3)
- Rebuild for R 4.5.0

* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (0.9.37-2)
- Rebuild for 4.4.0

* Tue May 9 2023 Stuart Raeburn <raeburn@loncapa.org> (0.9.37-1)
- Rebuild for 4.3.0

* Sun Apr 23 2023 Stuart Raeburn <raeburn@loncapa.org> (0.9.37-0)
- Initial build for R 4.2.3

